Loading...
Searching...
No Matches
pw_factory_info Struct Reference
Core API » Factory

The factory information. More...

`#include <pipewire/factory.h>`

## Data Fields

uint32_t | id
| id of the global
const char * | type
| type of the objects created by this factory
uint32_t | version
| version of the objects
uint64_t | change_mask
| bitfield of changed fields since last call

## Detailed Description

The factory information.

Extra information can be added in later versions

## Field Documentation

## id

uint32_t pw_factory_info::id

id of the global

## type

const char* pw_factory_info::type

type of the objects created by this factory

## version

uint32_t pw_factory_info::version

version of the objects

## change_mask

uint64_t pw_factory_info::change_mask

bitfield of changed fields since last call

The documentation for this struct was generated from the following file:

- pipewire/factory.h